# Method Nettle.CHACHA()->State()->crypt()

Method crypt

  `string(8bit) crypt(string(8bit) data)`

Description

  Encrypts or decrypts data, using the current key. Neither the input nor output data is automatically memory scrubbed, unless String.secure has been called on them.

Parameter `data`

  Usually an integral number of blocks, except for the last segement in a run. The decoder must get partial blocks at the same places as the encoder, otherwise they will get out of sync.

Returns

  The encrypted or decrypted data.